Subject: Re: linux-next: build failure after merge of the workqueues tree

From: Tejun Heo <[email-masked]>
Date: Fri, 3 Nov 2017 06:59:11 -0700

On Thu, Nov 02, 2017 at 02:34:40PM +1100, Stephen Rothwell wrote:
> Hi Tejun,
> 
> After merging the workqueues tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> kernel/workqueue.c: In function 'workqueue_init_early':
> kernel/workqueue.c:5561:56: error: 'cpu_isolated_map' undeclared (first use in this function)
>   cpumask_andnot(wq_unbound_cpumask, cpu_possible_mask, cpu_isolated_map);
>                                                         ^
> 
> Caused by commit
> 
>   b5149873a0c2 ("workqueue: respect isolated cpus when queueing an unbound work")
> 
> interacting with commit
> 
>   edb9382175c3 ("sched/isolation: Move isolcpus= handling to the housekeeping code")
> 
> from the tip tree.
> 
> I am not sure how to fix this, so I have reverted b5149873a0c2 for today.

I'm reverting it from my tree.  Tal, can you please spin up a new
patch against the sched branch?  Let's either route it through sched
branch or try again after the rc1.

Thanks.

-- 
tejun